from openerp import api, fields, models

class ResCompany(models.Model):
    _inherit = 'res.company'

    @api.model
    def get_company(self):
        user = self.env.user

        return {
            'id': user.company_id.id,
            'name': user.company_id.name,
            'currency': {
                'id': user.company_id.currency_id.id,
                'name': user.company_id.currency_id.name,
                'display_name': user.company_id.currency_id.display_name,
                'symbol': user.company_id.currency_id.symbol
            },
            'today': fields.Date.context_today(self)
        }